org.springframework.ldap.core.support

## Class DefaultTlsDirContextAuthenticationStrategy

- java.lang.Object
- - org.springframework.ldap.core.support.AbstractTlsDirContextAuthenticationStrategy
  - - org.springframework.ldap.core.support.DefaultTlsDirContextAuthenticationStrategy

- All Implemented Interfaces:
    DirContextAuthenticationStrategy

      public class DefaultTlsDirContextAuthenticationStrategy
      extends AbstractTlsDirContextAuthenticationStrategy

  Default implementation of TLS authentication. Applies `SIMPLE` authentication on top of the negotiated TLS session. Refer to `AbstractTlsDirContextAuthenticationStrategy` for configuration options.
  Author:
    Mattias Hellborg Arthursson
  See Also:
    `AbstractTlsDirContextAuthenticationStrategy`, `AbstractContextSource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTlsDirContextAuthenticationStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyAuthentication(LdapContext ctx, String userDn, String password)` Apply the actual authentication to the specified `LdapContext` .

    - ### Methods inherited from class org.springframework.ldap.core.support.AbstractTlsDirContextAuthenticationStrategy

      `processContextAfterCreation, setHostnameVerifier, setShutdownTlsGracefully, setSslSocketFactory, setupEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTlsDirContextAuthenticationStrategy

          public DefaultTlsDirContextAuthenticationStrategy()

  - ### Method Detail

    - #### applyAuthentication

          protected void applyAuthentication(LdapContext ctx,
                                             String userDn,
                                             String password)
                                      throws NamingException

      Description copied from class: `AbstractTlsDirContextAuthenticationStrategy`
      Apply the actual authentication to the specified `LdapContext` . Typically, this will involve adding stuff to the environment.
      Specified by:
        `applyAuthentication` in class `AbstractTlsDirContextAuthenticationStrategy`
      Parameters:
        `ctx` - the `LdapContext` instance.
        `userDn` - the user dn of the user to authenticate.
        `password` - the password of the user to authenticate.
      Throws:
        `NamingException` - if any error occurs.